package ink.wgink.module.map.controller.route.grid;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: GridGroupRouteController
 * @Description: 网格组路由
 * @Author: wanggeng
 * @Date: 2021/10/19 11:54 下午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "网格组")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/grid-group")
public class GridGroupRouteController {

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("grid/grid-group/list");
    }

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("grid/grid-group/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("grid/grid-group/update");
    }

}
